
# installation et lancement
fail2ban:
  pkg:
    - installed
  service.running:
    - enable: True
    - reload: True


# config fail2ban 
# ban with iptables logs from 10.16.132.0/24
/etc/fail2ban/jail.local:
  file.managed:
    - source: /vagrant/jail
    - user: root
    - group: root
    - mode: 644
/etc/fail2ban/filter.d/potdemiel.conf:
  file.managed:
    - source: /vagrant/filter
    - user: root
    - group: root
    - mode: 644
/etc/fail2ban/action.d/potdemiel.conf:
  file.managed:
    - source: /vagrant/action
    - user: root
    - group: root
    - mode: 644

systemctl restart fail2ban:
  cmd:
    - run