# DNS
# RAPPEL: eth0 est à vagrant, ne pas y toucher

## Désactivation de network-manager
NetworkManager:
  service:
    - dead
    - enable: False
    
##Configuration de VM
eth1:
  network.managed:
    - enabled: True
    - type: eth
    - proto: static
    - ipaddr: 10.16.255.1
    - netmask: 12

## Configuration de la route vers INTERNET
routes:
  network.routes:
    - name: eth1
    - routes:
      - name: LAN2
        ipaddr: 10.128.0.0/12 
        gateway: 10.16.10.1


################### Serveur
bind9:
  pkg:
    - installed
  service.running:
    - enable: True
    - reload: True

bind9utils:
  pkg:
    - installed

/etc/bind/named.conf:
  file.managed:
    - source: /vagrant/named.conf
    - user: root
    - group: root
    - mode: 644

/etc/bind/named.conf.options:
  file.managed:
    - source: /vagrant/named.conf.options
    - user: root
    - group: root
    - mode: 644

/etc/bind/named.conf.local:
  file.managed:
    - source: /vagrant/named.conf.local
    - user: root
    - group: root
    - mode: 644

/etc/bind/for.nuage:
  file.managed:
    - source: /vagrant/for.nuage
    - user: root
    - group: root
    - mode: 644

/etc/bind/rev.nuage:
  file.managed:
    - source: /vagrant/rev.nuage
    - user: root
    - group: root
    - mode: 644

sudo systemctl restart bind9:
  cmd:
    - run



